Commit 0b4c4751 authored by Nicolas Fella's avatar Nicolas Fella
Browse files

Find libkscreen with the same version

Given that kscreen and libkscreen are developed and released together
it's reasonable to assume/require that kscreen is built against
libkscreen of the same version
parent 7d2dff0d
...@@ -42,8 +42,7 @@ find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS ...@@ -42,8 +42,7 @@ find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
# WARNING PlasmaQuick provides unversioned CMake config # WARNING PlasmaQuick provides unversioned CMake config
find_package(KF5 REQUIRED COMPONENTS PlasmaQuick) find_package(KF5 REQUIRED COMPONENTS PlasmaQuick)
set(MIN_LIBKSCREEN_VERSION "5.2.91") find_package(KF5Screen ${PROJECT_VERSION} REQUIRED)
find_package(KF5Screen ${MIN_LIBKSCREEN_VERSION} REQUIRED)
add_subdirectory(kcm) add_subdirectory(kcm)
add_subdirectory(kded) add_subdirectory(kded)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment